Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageAppendComponents Class Reference

`#include <vtkImageAppendComponents.h>`

Inheritance diagram for vtkImageAppendComponents:

[legend]
Collaboration diagram for vtkImageAppendComponents:

[legend]
List of all members.

## Detailed Description

Collects components from two inputs into.

Date:
  2002/11/21 16:14:44

Revision:
  1.28

one output.

vtkImageAppendComponents takes the components from two inputs and merges them into one output. If Input1 has M components, and Input2 has N components, the output will have M+N components with input1 components coming first.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (54%)
  - Martin, Ken (34%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageAppendComponents.cxx)`
  - .`h` (`/Imaging/vtkImageAppendComponents.h)`

Tests:
  vtkImageAppendComponents (Tests)

Definition at line 50 of file vtkImageAppendComponents.h.

## Public Types
typedef vtkImageMultipleInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageAppendComponents * | New ()
int | IsTypeOf (const char *type)
vtkImageAppendComponents * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageAppendComponents ()
| ~vtkImageAppendComponents ()
void | ExecuteInformation (vtkImageData **inputs, vtkImageData *output)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)

## Member Typedef Documentation

typedef vtkImageMultipleInputFilter vtkImageAppendComponents::Superclass

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 54 of file vtkImageAppendComponents.h.

## Constructor & Destructor Documentation

vtkImageAppendComponents::vtkImageAppendComponents | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkImageAppendComponents.h.

vtkImageAppendComponents::~vtkImageAppendComponents | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkImageAppendComponents.h.

## Member Function Documentation

vtkImageAppendComponents* vtkImageAppendComponents::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageAppendComponents::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

int vtkImageAppendComponents::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter.

virtual int vtkImageAppendComponents::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter.

vtkImageAppendComponents* vtkImageAppendComponents::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageAppendComponents::ExecuteInformation | ( | vtkImageData ** | inputs,
|  | vtkImageData * | output
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageAppendComponents::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 61 of file vtkImageAppendComponents.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageAppendComponents::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageAppendComponents.h